apiVersion: apps/v1
kind: Deployment
metadata:
  name: runner
  labels:
    app: runner
spec:
  replicas: 5
  strategy:
    rollingUpdate:
      maxUnavailable: 0
      maxSurge: '100%'
  selector:
    matchLabels:
      app: runner
  template:
    metadata:
      labels:
        app: runner
    spec:
      containers:
      - name: runner
        image: registry.gitlab.com/gitlab-com/gl-infra/sre-observability/runner-k8s-deployment-sim:master
        env:
        - name: "JOB_DURATION"
          value: "5m"
        - name: "VERSION"
          value: "v1"
      terminationGracePeriodSeconds: 360
